global:
  imageRegistry: ""
  imagePullSecrets: []
  defaultStorageClass: ""

image:
  registry: docker.io
  repository: bitnami/kafka
  tag: 4.0.0-debian-12-r10

controller:
  replicaCount: 3
  controllerOnly: false
  persistence:
    enabled: true
    size: 8Gi
    storageClass: ""
  logPersistence:
    enabled: false
    size: 8Gi
    storageClass: ""
  resources: {}
  resourcesPreset: "small"
  
broker:
  replicaCount: 0
  persistence:
    enabled: true
    size: 8Gi
    storageClass: ""
  logPersistence:
    enabled: true
    size: 8Gi
    storageClass: ""
  resources: {}
  resourcesPreset: "small"

listeners:
  client:
    containerPort: 9092
    protocol: SASL_PLAINTEXT
  controller:
    containerPort: 9093
    protocol: SASL_PLAINTEXT
  interbroker:
    containerPort: 9094
    protocol: SASL_PLAINTEXT

sasl:
  enabledMechanisms: PLAIN,SCRAM-SHA-256,SCRAM-SHA-512
  client:
    users: ["user1"]
    passwords: ""

service:
  type: ClusterIP
  ports:
    client: 9092

metrics:
  jmx:
    enabled: false
